## zsh 5.1.1

=== debian/changelog ===
zsh (5.1.1-1ubuntu2) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 12:49:08 +0000

zsh (5.1.1-1ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/zshrc: Enable completions by default, unless skip_global_compinit
      is set.
    - Drop yodl from Build-Depends.
    - Support cross-compiling:
      - Adjust upstream autoconf cross-compile default fallbacks.
      - Skip zcompile when cross-compiling.
      - Add libelf-dev dependency.
    - Add libncurses5-dev build-dep to avoid tgoto implicit function
      declaration and thus, implicit integer to pointer conversion. zsh
      should build with just ncursesw though.
    - Use dh_autotools-dev_update|restoreconfig in addition to
      dh_autoreconf to actually update config.sub|guess.
    - prebuild docs.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 02 Oct 2015 14:19:33 +0200

zsh (5.1.1-1) unstable; urgency=low

  * [7534dfa8] New upstream release
    + [bcea5a1c] Revert 0867ec1f from 5.1-test-1-1, applied upstream.
    + [f5e8527a] Handles incomplete multibyte characters in
      bracketed-paste-magic (Closes: #798195)
    + Upload to unstable again.

 -- Axel Beckert <abe@debian.org>  Fri, 11 Sep 2015 23:19:31 +0200

zsh (5.1-test-1-1) experimental; urgency=low

  * [22cf83b3c] New upstream release candidate
    + [9f5dffa1] process queued signals during dotrap() (Closes: #797721)
  * [0867ec1f] Extend further-mitigate-test-suite-hangs.patch to mitigate
    a race condition in E01options.ztst

 -- Axel Beckert <abe@debian.org>  Thu, 10 Sep 2015 23:03:54 +0200

zsh (5.1-1) unstable; urgency=low

  * [2a4475bb] New upstream release.
    + [f3aebf0b] Update further-mitigate-test-suite-hangs.patch to remove
      additional cherry-picked fixes added with the previous upload.
    + Upload to unstable again.
  * [20b7952e] Remove no more emitted spelling-error-in-binary false
    positives from lintian overrides.
  * [6fad76ca] Remove pre-#768937 legacy code from multiple postinsts.

 -- Axel Beckert <abe@debian.org>  Tue, 01 Sep 2015 01:09:25 +0200

zsh (5.0.8-test-3-1) experimental; urgency=low

  * [6f1dd991] New upstream release candidate
    + [171196a8] Remove all cherry-picked patches.
    + [290354ff] Fixes segfault in __strlen_sse2_bsf (Closes: #793475)
  * [a248c1e0] Set $(VENDOR) to sanitized output of "dpkg-vendor --query vendor"
    (Closes: #794696)
  * [e04a1973] Clint Adams prefers to be removed from Uploaders. Thanks to
    Clint for maintaining Debian's zsh package for so long!
  * [bfda86c5,5c3b312c] Update sole patch to integrate further test suite fixes.

 -- Axel Beckert <abe@debian.org>  Thu, 27 Aug 2015 23:17:07 +0200

zsh (5.0.8-4) unstable; urgency=medium

  * [92f59b31] Cherry-pick 771381c2+dd8079e0 to fix $((…)) completion.
    (Closes: #793168)
  * [d46446e2] Cherry-pick upstream fix for segfault upon $((…)<Tab>.
  * [e7302971] Add thefuck to bug-script's fallback list of packages with
    code to be sourced in .zshrc.

 -- Axel Beckert <abe@debian.org>  Tue, 28 Jul 2015 23:44:49 +0200

zsh (5.0.8-3) unstable; urgency=medium

  * [e04cb7a0] Include all .h and .mdh files including generated ones in
    zsh-dev. (Closes: #776964)
  * [5c13d857] Adjust include paths in /usr/include/zsh/ as suggested in
    #776964.

 -- Axel Beckert <abe@debian.org>  Mon, 20 Jul 2015 23:12:30 +0200

zsh (5.0.8-2) unstable; urgency=medium

  * [5808540c] Use "service" instead of "/etc/init.d" in
    debian/examples/carsten.zshrc for init system compatibility.
  * Cherry-pick multiple patches from upstream:
    + [e79f2175] fix signal queueing in zcontext_save_partial()
      (Closes: #790282)
    + [143736da] handle failure of gettempname() in namedpipe()
    + [724f974f] avoid warnings in prompt adam1 with Perl 5.22

 -- Axel Beckert <abe@debian.org>  Mon, 29 Jun 2015 21:33:46 +0200

zsh (5.0.8-1) unstable; urgency=low

  * [fd2ef9a8,752cbfd4] New upstream release
    + [640212e7] Drop patches replace-texi2html-with-makeinfo and
      fix-test-suite-failures-related-to-setopt-PROMPT_SP (fixed upstream)
    + Upload to unstable again.
  * [f14d3594] Mention how to use bash completion with zsh in
    README.Debian (c.f. #786881)
  * [253c84df] Add git commit IDs and Debian bug numbers of bugs fixed
    upstream in the last upload to the previous changelog entry.

 -- Axel Beckert <abe@debian.org>  Sat, 13 Jun 2015 00:37:17 +0200

zsh (5.0.7-dev-2-1) experimental; urgency=low

  * [db38e167] New upstream release candidate
    + [4e6f0762] Remove all cherry-picked patches
    + [bcf6f70a] Remove no more needed debian/copyright entries.
    + [e0c83ff9,6b5231e4] Add patch to fix test suite failures related to
      "setopt PROMPT_SP"
    + [2d4743ce] uses correct command name in error messages about
      "ulimit" failure; restores internal copy of limits if setrlimit()
      fails, so the error won't repeat. (Closes: 765410)
    + [691547cd] fixes thinko in status message for INT/QUIT signals;
      checks errflag in output loops. (Closes: #767005)
  * [01eea476] Add debian/zsh-static.NEWS with note about upcoming
    zsh-static removal.
  * [f58cddea] debian/pkg-zsh-workflow.md: Update order when importing a
    new upstream release.

 -- Axel Beckert <abe@debian.org>  Fri, 08 May 2015 01:35:13 +0200

zsh (5.0.7-6) unstable; urgency=medium

  * [18288a76] Drop manual Pre-Depends on dpkg, raise debhelper
    build-dependency to ≥ 9.20141221, see #770226 + #770245.
  * [b3f1e6e4] Remove zsh4 wrappers, they were only needed for the
    dist-upgrade from Wheezy to Jessie.
  * [b4c17e7c] Remove zsh-beta* transitional packages. Same reason.
  * [1e841579] Use "gbp dch" instead of "git-dch" in helper scripts and
    package build documentation.
  * [ef133bd8] Rename debian/gbp.conf's section [git-dch] to [dch].

 -- Axel Beckert <abe@debian.org>  Wed, 29 Apr 2015 01:18:02 +0200
