## zsh 5.2

=== debian/changelog ===
zsh (5.2-3mx150+1) mx; urgency=medium

  * Non-maintainer upload.
  * Repackaged for MX 15.

 -- Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>  Sat, 09 Apr 2016 03:27:05 -0500

zsh (5.2-3) unstable; urgency=medium

  [ Axel Beckert ]
  * [c766a858] Make zsh-common "Multi-Arch: foreign". (Closes: #808977)
  * [20a0c01c] Remove zsh-dbg, there are automatic dbgsym packages now.
  * [d3bb50ba] Add patch to fix parsing of aptitude 0.7.5's --help/-h
    output without stopping to be able to parse older aptitude versions'
    output. (Closes: #807906) Thanks to Micha Moskovic for the bug report!

  [ Felipe Sateler ]
  * [c3e50a0f] Add patch to add missing apt purge and autoremove
    subcommands. (Closes: #808317)

 -- Axel Beckert <abe@debian.org>  Sun, 27 Dec 2015 15:56:57 +0100

zsh (5.2-2) unstable; urgency=low

  * [104c10b3] autopkgtest: Don't assume at least two dots in zsh's
    version number.

 -- Axel Beckert <abe@debian.org>  Fri, 04 Dec 2015 00:32:04 +0100

zsh (5.2-1) unstable; urgency=low

  * [2a9cd3d2] New upstream release.
    + Upload to unstable again.

 -- Axel Beckert <abe@debian.org>  Thu, 03 Dec 2015 00:44:25 +0100

zsh (5.1.1-test-3-1) experimental; urgency=low

  * [86bb6a7e] New upstream release candidate
  * [e6d23bf3] debian/{watch,upstream/signing-key.asc}: Verify upstream
    GPG signatures

 -- Axel Beckert <abe@debian.org>  Mon, 30 Nov 2015 04:04:13 +0100

zsh (5.1.1-test-2-3-g2bab9f0-1) experimental; urgency=low

  * [b3541722] New upstream pre-release snapshot (git commit 2bab9f03)
  * [58f4d1d1] Make list of packages which provide code for .zshrc more
    readable and sort it
  * [1637291a] Update list of packages which provide code for .zshrc
  * [e439a99f] Remove debian/copyright stanza for systemd completion, no
    more included upstream
  * [bb897996] get-orig-source target: Support git snapshots between
    tagged releases

 -- Axel Beckert <abe@debian.org>  Thu, 26 Nov 2015 22:17:06 +0100
