=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,6 @@
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
-include /usr/share/dpkg/architecture.mk
 H_LDFLAGS = $(LDFLAGS)
 
 VENDOR=$(shell dpkg-vendor --query vendor | env LC_ALL=C tr A-Z a-z | env LC_ALL=C tr -d -c '[:alnum:]')
@@ -73,13 +72,12 @@
 build-debug: DEB_BUILD_OPTIONS+=debug
 build-debug: build
 
-configure-common-stamp:
+configure:
 	touch stamp-h.in
 	dh_autotools-dev_updateconfig
 	dh_autoreconf
-	touch $@
-
-configure-stamp: configure-common-stamp
+
+configure-stamp: configure
 	dh_testdir
 	chmod 755 configure
 	mkdir -p obj/testhome
@@ -87,7 +85,7 @@
 	sed -e 's/#define VENDOR "pc"/#define VENDOR "$(VENDOR)"/' -i obj/config.h
 	touch $@
 
-configure-static-stamp: configure-common-stamp
+configure-static-stamp: configure
 	dh_testdir
 	mkdir -p obj-static/testhome
 	dh_auto_configure -B obj-static -- $(CONFIGFLAGS) $(STATICFLAGS)
@@ -127,7 +125,6 @@
 	rm -r debian/zsh-common/usr/local
 
 # move this to a non-root section; also drop it for cross-compiles
-ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
 	awk '/^#define FPATH_DIR/     { head=$$3;       gsub(/"/,"",head); };        \
              /^#define FPATH_SUBDIRS/ { $$1=""; $$2=""; gsub(/[" ]/,""); tail=$$0; } \
              END                      { printf "%s/%s\n", head, tail; };'            \
@@ -138,7 +135,6 @@
 		 zcompile -U -M $$i.zwc $$i/*~*.zwc(^/);                  \
 		 chmod 644 $$i.zwc;                                       \
 	     done'
-endif
 
 # Docs: Info + HTML
 	cd obj && $(MAKE) install.info DESTDIR=$(CURDIR)/debian/zsh-doc
@@ -173,7 +169,7 @@
 	dh_testdir
 	dh_testroot
 
-	dh_installdirs -pzsh             -pzsh-dbg
+	dh_installdirs -pzsh
 
 # modules
 	cd obj && $(MAKE) install.bin     DESTDIR=$(CURDIR)/debian/zsh INSTALL_PROGRAM='$(INSTALL_PROGRAM)'
@@ -183,14 +179,14 @@
 	rm debian/zsh/bin/zsh-5.[0-9]*
 
 	dh_bugfiles    -pzsh
-	dh_strip       -pzsh --dbg-package=zsh-dbg
-	dh_install     -pzsh             -pzsh-dbg
-
-	dh_shlibdeps   -pzsh             -pzsh-dbg -- \
+	dh_strip       -pzsh
+	dh_install     -pzsh
+
+	dh_shlibdeps   -pzsh -- \
 		-dDepends    debian/zsh/bin/*   \
 		-dRecommends debian/zsh/usr/lib/*/zsh/*/zsh/*.so
 
-	dh_installdocs -pzsh             -pzsh-dbg --link-doc=zsh
+	dh_installdocs -pzsh --link-doc=zsh
 	dh_installchangelogs -pzsh
 
 binary-arch-static: build-static
@@ -226,3 +222,13 @@
 	cd debian/zsh-dev/usr/share/aclocal; mv aczshoot.m4 zshoot.m4
 
 	dh_installdocs -pzsh-dev
+	dh_installchangelogs -pzsh-dev
+
+binary-arch: binary-arch-dynamic binary-arch-static binary-arch-dev
+	dh_lintian    -a
+	dh_link       -a
+	dh_compress   -a
+	dh_fixperms   -a
+	dh_installdeb -a
+	dh_gencontrol -a -- -VBuilt-Using="$(BUILT_USING)"
+	dh_md5sums    -a
