## zsh 5.3.1

=== debian/changelog ===
zsh (5.3.1-4) unstable; urgency=high

  * [5c3b52b8] Reorder zsh.postinst: do alternatives removal before
    (re)creating /usr/bin/zsh symlink. Thanks to ilf for the bug report
    and Adrian Bunk for finding the right solution. (Closes: #860033)

 -- Axel Beckert <abe@debian.org>  Tue, 11 Apr 2017 21:34:40 +0200

zsh (5.3.1-3) unstable; urgency=medium

  * [348c47bd] Cherry-pick four stability patches from upstream:
    + [48cadf48] 40285: Src/Zle/zle_hist.c: more care needed managing
      patterns in history isearch if there are hooks around.
    + [2e76fb80] 40372: Completion/compinit: turn off POSIX_IDENTIFIERS
      option for completion.
    + [8d4c9854] 40260: Src/prompt.c: Set newly allocated space in prompt
      buffer to zero as it may be tested.
    + [ebd7fdd9] 40362: Src/Zle/computil.c: need duplicated values for
      setting parameter in compvalues.  Was causing obscure but
      surprisingly rare crashes in value completion.

 -- Axel Beckert <abe@debian.org>  Thu, 19 Jan 2017 23:25:40 +0100

zsh (5.3.1-2) unstable; urgency=low

  * [c95b2f20] Add patches posted by Daniel Shahaf on zsh-workers to
    update bts completion and add swaks completion.
  * [3ab2793a] Add lintian override for debian-news-entry-uses-asterisk as
    that won't change.
  * [f1b49f7e] Use dh_clean's directory removal feature added in debhelper
    9.20151116. Update versioned debhelper build-dependency accordingly.
  * [beb9a8a3] Apply "wrap-and-sort -a".

 -- Axel Beckert <abe@debian.org>  Mon, 09 Jan 2017 02:10:23 +0100

zsh (5.3.1-1) unstable; urgency=low

  * [06b1b7a3] Import new upstream release
  * [ea5d92e0] bug-script: Add ondir to list of packages which provide
    code meant to be sourced in .zshrc.
  * [01a55419] Add patch by Daniel Shahaf to make zsh-dev reproducible.
    (c.f. #849288)
  * [39e03ff0] Remove zsh.postinst code which was commented for longer
    than we use git.
  * [2be20bd0] Only handle /usr/bin/zsh symlink in postrm/remove and
    postinst/configure stages. (Closes: #841048)

 -- Axel Beckert <abe@debian.org>  Tue, 27 Dec 2016 22:00:35 +0100

zsh (5.3-1) unstable; urgency=low

  [ Axel Beckert ]
  * [4cfdbdb8] Import new upstream release.
  * Upload to unstable again.

  [ Josh Triplett, Daniel Shahaf, Axel Beckert ]
  * [7d6c5d6c,dca380d6,f9fbafb1] Add patch to update for new Debian
    programming language sections. (Closes: #847540)

 -- Axel Beckert <abe@debian.org>  Sun, 11 Dec 2016 23:02:55 +0100

zsh (5.2-test-3-1) experimental; urgency=low

  * [b1f62d9d] Third and "final" upstream test version before 5.3.

 -- Axel Beckert <abe@debian.org>  Sat, 10 Dec 2016 02:29:12 +0100

zsh (5.2-test-2-1) experimental; urgency=low

  * [9f605904] Second upstream test version before 5.3.
    + [972e1fe6] Remove cherry-picked patch.

 -- Axel Beckert <abe@debian.org>  Wed, 07 Dec 2016 01:04:55 +0100

zsh (5.2-test-1-1) experimental; urgency=low

  * [3e439c38] New upstream test release 5.2-test-1.
    + [bcb52460]: "&&" inside a shell function could mess up ERR_EXIT
      outside. (Closes: #514857)
    + [02f03a6a]: _schroot: Add -r/--run-session. (Closes: #831900)
    + [b3a88a53]: $SPROMPT: Don't accept a spelling correction at
      space/tab. (Closes: #844710)
    + [6e966f69+7154052e]: Clarify documentation of the ':A' word
      modifier. Add new :P history modifier. (Closes: #607615)
    + [3b69b121] typeset: Document exit status difference from parameter
      assignment statements. (Closes: #479841)
  * [b2e45bd3] Update path to zsh used in GUI menus. Thanks Mika Prokop!
  * [6783a173] Merge debian-stretch branch into (currently experimental)
    debian branch again.
  * [2aedc4b8] Remove cherry-picked
    fix-segfault-in-is_cond_binary_op.patch
  * [516efade] Cherry-pick af2ab0247: attempt to make output from
    interactive test more robust

 -- Axel Beckert <abe@debian.org>  Sun, 04 Dec 2016 21:35:22 +0100

zsh (5.2-5) unstable; urgency=low

  * [f368b96e] Also remove hardcoded /usr/bin/zsh symlink in postrm
    again. (Closes: #823730)

 -- Axel Beckert <abe@debian.org>  Sun, 08 May 2016 18:25:58 +0200

zsh (5.2-4) unstable; urgency=low

  [ Axel Beckert ]
  * [a25e7f1f] Add "--ddeb-migration=zsh-dbg" to "dh_strip -pzsh" for
    proper Breaks/Replaces.  Thanks to Mattia Rizzolo
  * [370659ae] Add rosbash to bug-script's fallback list of packages with
    code to be sourced in .zshrc.
  * [1922c900] Remove GCC-4.9-specific workaround on s390x from
    debian/rules.
  * [64eed86b] Enable hardening=+all, fixes multiple hardening-no-*
    lintian warnings.
  * [cafce990] Remove usage of alternatives system for zsh, rzsh and
    zsh-static.  (Closes: #768079)
  * [7db7f765] Switch Vcs-Git from git:// to https://, fixes lintian
    warning vcs-field-uses-insecure-uri.
  * [826ec19e] Declare compliance with Debian Policy 3.9.8. (No other
    changes were required.)
  * [a2021b04] Use "debian-stretch" as debian branch until a new upstream
    release is out.
  * [f9dba1a3] Update yodl build-dependency to exclude the broken 3.08.00
    upstream release. (See #823043 for details.)

  [ Frank Terbeck ]
  * [c1e9ec06] zshrc: Make expansion robust with NO_UNSET.
    Thanks to Marc Chantreux on #pkg-zsh (freenode)

 -- Axel Beckert <abe@debian.org>  Fri, 06 May 2016 22:08:29 +0200

zsh (5.2-dev-1-1) experimental; urgency=low

  [ Axel Beckert ]
  * [86ca06fb] Import new upstream beta release.
  * [a25e7f1f] Add "--ddeb-migration=zsh-dbg" to "dh_strip -pzsh" for
    proper Breaks/Replaces. Thanks to Mattia Rizzolo!
  * [370659ae] Add rosbash to bug-script's fallback list of packages with
    code to be sourced in .zshrc.
  * [9789916e] Remove GCC-4.9-specific workaround on s390x from
    debian/rules.
  * [0013070a,3b7e91b3] Enable hardening=+all, fixes multiple
    hardening-related lintian warnings.
  * [da1b680b,1600c44d,2d082be2] Remove usage of alternatives system for
    zsh, rzsh and zsh-static. (Closes: #768079)

