=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: autotools-dev,
                bsdmainutils,
                cm-super-minimal,
-               debhelper (>= 9.20141221~),
+               debhelper (>= 9.20151116~),
                dh-autoreconf,
                dpkg-dev (>= 1.16.2~),
                ghostscript,
@@ -17,17 +17,15 @@
                texlive-fonts-recommended,
                texlive-latex-base,
                texlive-latex-recommended,
-               yodl
-Maintainer: Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>
-XSBC-Original-Maintainer: Debian Zsh Maintainers <pkg-zsh-devel@lists.alioth.debian.org>
+               yodl (>= 3.08.01) | yodl (<< 3.08.00)
+Maintainer: Debian Zsh Maintainers <pkg-zsh-devel@lists.alioth.debian.org>
 Uploaders: Michael Prokop <mika@debian.org>,
            Axel Beckert <abe@debian.org>,
            Frank Terbeck <ft@bewatermyfriend.org>,
            Richard Hartmann <richih@debian.org>
-Bugs: mailto: <maintainer@mepiscommunity.org>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.zsh.org/
-Vcs-Git: git://anonscm.debian.org/collab-maint/zsh.git -b debian
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/zsh.git -b debian
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/zsh.git
 
 Package: zsh-common
