=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,7 @@
 INSTALL = install
 INSTALL_PROGRAM = $(INSTALL) -p -o root -g root -m 755
 
-# Disable -fstack-protector-strong on s390x as it causes endless loops
-# in gcc-4.9. See https://bugs.debian.org/759870 for details
-ifeq (s390x,$(shell dpkg-architecture -qDEB_BUILD_ARCH))
-export DEB_BUILD_MAINT_OPTIONS=hardening=-stackprotectorstrong
-endif
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
@@ -104,7 +100,6 @@
 	dh_auto_clean -B obj-static --parallel
 	dh_auto_clean               --parallel
 	dh_clean
-	rm -rf config.cache obj obj-static autom4te.cache
 
 binary-indep: build-indep binary-arch-dynamic
 	dh_testdir
@@ -129,7 +124,7 @@
              /^#define FPATH_SUBDIRS/ { $$1=""; $$2=""; gsub(/[" ]/,""); tail=$$0; } \
              END                      { printf "%s/%s\n", head, tail; };'            \
 	    obj/Src/zshpaths.h >obj/Src/zshpaths.temp
-	debian/zsh/bin/zsh5 -fc \
+	debian/zsh/bin/zsh -fc \
             'setopt extendedglob; \
 	     for i in debian/zsh-common/'`cat obj/Src/zshpaths.temp`'; do \
 		 zcompile -U -M $$i.zwc $$i/*~*.zwc(^/);                  \
@@ -175,11 +170,10 @@
 	cd obj && $(MAKE) install.bin     DESTDIR=$(CURDIR)/debian/zsh INSTALL_PROGRAM='$(INSTALL_PROGRAM)'
 	cd obj && $(MAKE) install.modules DESTDIR=$(CURDIR)/debian/zsh INSTALL_PROGRAM='$(INSTALL_PROGRAM)'
 
-	mv debian/zsh/bin/zsh debian/zsh/bin/zsh5
 	rm debian/zsh/bin/zsh-5.[0-9]*
 
 	dh_bugfiles    -pzsh
-	dh_strip       -pzsh
+	dh_strip       -pzsh --ddeb-migration=zsh-dbg
 	dh_install     -pzsh
 
 	dh_shlibdeps   -pzsh -- \
@@ -206,7 +200,9 @@
 	dh_install           -pzsh-static
 	dh_strip             -pzsh-static
 
-	mv debian/zsh-static/bin/zsh  debian/zsh-static/bin/zsh5-static
+	mv debian/zsh-static/bin/zsh  debian/zsh-static/bin/zsh-static
+	mv debian/zsh-static/bin/zsh5 debian/zsh-static/bin/zsh5-static
+	sed -e 's:#!/bin/zsh:#!/bin/zsh-static:' -i debian/zsh-static/bin/zsh5-static
 
 	dh_installchangelogs -pzsh-static
 
@@ -232,3 +228,7 @@
 	dh_installdeb -a
 	dh_gencontrol -a -- -VBuilt-Using="$(BUILT_USING)"
 	dh_md5sums    -a
+	dh_builddeb   -a
+
+binary: binary-indep binary-arch binary-arch-static binary-arch-dev
+
