## zsh 5.4.2

=== debian/changelog ===
zsh (5.4.2-3ubuntu3) bionic; urgency=medium

  * SECURITY UPDATE: stack-based buffer overflow
    - debian/patches/CVE-2018-1071.patch: check bounds when
      copying patch in hashcmd() in Src/exec.c, Src/utils.c.
    - CVE-2018-1071
  * SECURITY UPDATE: buffer-overflow
    - debian/patches/CVE-2018-1083.patch: check bounds on PATH_MAX
      buffer in Src/Zle/compctl.c.
    - CVE-2018-1083

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Fri, 06 Apr 2018 12:01:55 -0300

zsh (5.4.2-3ubuntu2) bionic; urgency=medium

  * SECURITY UPDATE: NULL deference
    - debian/patches/CVE-2018-7548.patch: avoid null-pointer
      deref in Src/subst.c.
    - CVE-2018-7548
  * SECURITY UPDATE: Crash while copy an empty hash table
    - debian/patches/CVE-2018-7549.patch: avoid crash empty
      hash table in Src/params.c.
    - CVE-2018-7549

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Fri, 09 Mar 2018 05:31:57 -0300

zsh (5.4.2-3ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/zshrc: Enable completions by default, unless skip_global_compinit
      is set.
    - Support cross-compiling:
      - Adjust upstream autoconf cross-compile default fallbacks.
      - Skip zcompile when cross-compiling.
      - Add libelf-dev dependency.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 19 Jan 2018 10:11:06 +0100

zsh (5.4.2-3) unstable; urgency=low

  * debian/rules:
    + [5df0d11d,9d0df8ac,28b774be,fd367287] Switch from explicit targets
      to a "minimal" dh style.
    + [616bc13e] Drop some no more needed, fitting or relevant comments.
  * [48f580fc,40eff612] Declare compliance with Debian Policy 4.1.3. (No
    other changes were required.)
  * [90037107] Bump debhelper compatibility to 11.
    + Update versioned build-dependency on debhelper accordingly.

 -- Axel Beckert <abe@debian.org>  Sat, 30 Dec 2017 07:25:44 +0100

zsh (5.4.2-2) unstable; urgency=medium

  * [efc08e15] Declare compliance with Debian Policy 4.1.1. (No other
    changes required.)
  * [efa4b98e] Set "Rules-Requires-Root: no"
    + Drop "-o root -g root" from $(INSTALL_PROGRAM) in debian/rules. (No
      more needed, user/group are either set by dh_fixperms or dpkg-deb
      nowadays.)
  * [c6da4ef3] dh_strip: Use --dbgsym-migration instead of historical
    --ddeb-migration.

 -- Axel Beckert <abe@debian.org>  Thu, 02 Nov 2017 20:47:01 +0100

zsh (5.4.2-1) unstable; urgency=medium

  * [4aaf06e6] Import new upstream bugfix release 5.4.2.
  * [48098e7b] Document change of default behaviour in 5.4.1 in
    NEWS.Debian. (Closes: #871816)
  * [f33de64a] Declare compliance with Debian Policy 4.1.0. (No other
    changes needed.)

 -- Axel Beckert <abe@debian.org>  Wed, 13 Sep 2017 01:15:48 +0200

zsh (5.4.1-1) unstable; urgency=low

  [ Axel Beckert ]
  * [e3b67a81] Import new upstream release 5.4.1.
    + [4d67d694] Drop all patches except
      further-mitigate-test-suite-hangs.patch and
      update-debian-sections.patch. (were either applied upstream or
      cherry-picked)
    + [385cb9b9] Fixes incomplete completion list for "man -a". (Closes:
      #853130)
  * [d0927608] Drop build-dependencies on autotools-dev and dh-autoreconf.
    No more needed with debhelper compatibility level 10 and the according
    versioned build-dependency.
  * [4cbb9256,9574eafe] Replace dh_autotools-dev_*config with
    dh_update_autotools_config (+ dh_clean).

  [ Daniel Shahaf ]
  * [e795f448] Change the value of $ZSH_PATCHLEVEL to sport the Debian
    package version including the Debian package revision.

 -- Axel Beckert <abe@debian.org>  Fri, 11 Aug 2017 03:20:51 +0200

zsh (5.3.1-5) unstable; urgency=medium

  * [aa55c6bb] Patch configure.ac to add support for yodl 4 to yodl
    version check. (Closes: #865492)
  * [ffdd3ef2] Switch all http://www.zsh.org/ and http://www.debian.org/
    URLs in packaging to HTTPS.
  * [42e6d850] Declare compliance with Debian Policy 4.0.0. (No further
    changes were required.)
  * [2b2aa74d] Bump debhelper compatibility to 10.
    + Update versioned build-dependency on debhelper accordingly.
    + Remove all --parallel options from debian/rules.

 -- Axel Beckert <abe@debian.org>  Thu, 22 Jun 2017 04:26:33 +0200

zsh (5.2-5ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:

 -- Matthias Klose <doko@ubuntu.com>  Tue, 23 Aug 2016 12:35:26 +0200

zsh (5.2-3ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/zshrc: Enable completions by default, unless skip_global_compinit
      is set.
    - Support cross-compiling:
      - Adjust upstream autoconf cross-compile default fallbacks.
      - Skip zcompile when cross-compiling.
      - Add libelf-dev dependency.
    - Add libncurses5-dev build-dep to avoid tgoto implicit function
      declaration and thus, implicit integer to pointer conversion. zsh
      should build with just ncursesw though.
    - Use dh_autotools-dev_update|restoreconfig in addition to
      dh_autoreconf to actually update config.sub|guess.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Apr 2016 10:24:13 +0200
