=== debian/tests/control ===
Tests: run-testsuite
Depends: zsh

Tests: adequate
Depends: @, adequate
